Page MenuHomePhabricator

BadFileLookup.php: Argument 2 passed to MediaWiki\BadFileLookup::isBadFile() must implement interface MediaWiki\Linker\LinkTarget or be null, boolean given
Closed, ResolvedPublicPRODUCTION ERROR

Description

Error

Request ID: XWVbRgpAAEQAADM-Pf8AAABN
Request URL: www.mediawiki.org/wiki/Category:Documentation

message
[XWVbRgpAAEQAADM-Pf8AAABN] /wiki/Category:Documentation   TypeError from line 61 of /srv/mediawiki/php-1.34.0-wmf.20/includes/BadFileLookup.php: Argument 2 passed to MediaWiki\BadFileLookup::isBadFile() must implement interface MediaWiki\Linker\LinkTarget or be null, boolean given, called in /srv/mediawiki/php-1.34.0-wmf.20/includes/gallery/TraditionalImageGallery.php on line 115
trace
#0 /srv/mediawiki/php-1.34.0-wmf.20/includes/gallery/TraditionalImageGallery.php(115): MediaWiki\BadFileLookup->isBadFile(string, boolean)
#1 /srv/mediawiki/php-1.34.0-wmf.20/includes/CategoryViewer.php(472): TraditionalImageGallery->toHTML()
#2 /srv/mediawiki/php-1.34.0-wmf.20/includes/CategoryViewer.php(120): CategoryViewer->getImageSection()
#3 /srv/mediawiki/php-1.34.0-wmf.20/includes/page/CategoryPage.php(117): CategoryViewer->getHTML()
#4 /srv/mediawiki/php-1.34.0-wmf.20/includes/page/CategoryPage.php(72): CategoryPage->closeShowCategory()
#5 /srv/mediawiki/php-1.34.0-wmf.20/includes/actions/ViewAction.php(63): CategoryPage->view()
#6 /srv/mediawiki/php-1.34.0-wmf.20/includes/MediaWiki.php(507): ViewAction->show()
#7 /srv/mediawiki/php-1.34.0-wmf.20/includes/MediaWiki.php(302): MediaWiki->performAction(CategoryTreeCategoryPage, Title)
#8 /srv/mediawiki/php-1.34.0-wmf.20/includes/MediaWiki.php(892): MediaWiki->performRequest()
#9 /srv/mediawiki/php-1.34.0-wmf.20/includes/MediaWiki.php(523): MediaWiki->main()
#10 /srv/mediawiki/php-1.34.0-wmf.20/index.php(42): MediaWiki->run()
#11 /srv/mediawiki/w/index.php(3): require(string)
#12 {main}
Impact

7 hits in the last hour, not seen before.

Notes

Since it's a new error, it's blocking the train.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2019, 4:42 PM
zeljkofilipin triaged this task as Unbreak Now! priority.Aug 27 2019, 4:43 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptAug 27 2019, 4:43 PM

Change 532744 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Revert "BadFileLookup to replace wfIsBadImage"

https://gerrit.wikimedia.org/r/532744

Change 532754 had a related patch set uploaded (by simetrical; owner: simetrical):
[mediawiki/core@master] BadFileLookup::isBadFile() expects null, not false

https://gerrit.wikimedia.org/r/532754

Change 532754 merged by jenkins-bot:
[mediawiki/core@master] BadFileLookup::isBadFile() expects null, not false

https://gerrit.wikimedia.org/r/532754

Change 532762 had a related patch set uploaded (by Jforrester; owner: simetrical):
[mediawiki/core@wmf/1.34.0-wmf.20] BadFileLookup::isBadFile() expects null, not false

https://gerrit.wikimedia.org/r/532762

Change 532762 merged by jenkins-bot:
[mediawiki/core@wmf/1.34.0-wmf.20] BadFileLookup::isBadFile() expects null, not false

https://gerrit.wikimedia.org/r/532762

Mentioned in SAL (#wikimedia-operations) [2019-08-27T18:58:01Z] <jforrester@deploy1001> Synchronized php-1.34.0-wmf.20/includes/api/ApiQueryImageInfo.php: T231340 T231353 BadFileLookup::isBadFile() expects null, not false for the API (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2019-08-27T18:59:28Z] <jforrester@deploy1001> Synchronized php-1.34.0-wmf.20/includes/gallery/ImageGalleryBase.php: T231340 T231353 BadFileLookup::isBadFile() expects null, not false for galleries (duration: 00m 53s)

Jdforrester-WMF closed this task as Resolved.Aug 27 2019, 7:04 PM
Jdforrester-WMF assigned this task to Simetrical.

OK, this seems now to be fixed. Thanks @Simetrical!

Change 532744 abandoned by Jforrester:
Revert "BadFileLookup to replace wfIsBadImage"

https://gerrit.wikimedia.org/r/532744

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:05 PM